0 votes

Hi, 

 

I m getting this error when i try to create R environment in DSS. I was able to create python 2.7 and 3.6 environment. I have R installed in my linux terminal. Can you please tell me why i am getting this error and how i can solve it.

In install.packages(toInstall, "/home/dataiku/dss_data/code-envs/R/env_R/lib/R/library",  :  installation of package ‘RJSONIO’ had non-zero exit statusExecution halted

asked by
Hi, could you check the log files that can be found in the "Logs" tab. They will contain the complete error.
Hi,

I could not find the error in the log files. I checked in

audit/audit.log    j
backend.log   
backend.log.1

However, i could not find that particular error. In which log file will that error be in ?
It is located on the Code Environment admin screen > Left Tab > Logs section
Hi, Did you solve your issue?
Hi
I downloaded the log and got this in the error. Do i need to install these packages in R in terminal.

No version requested for dplyr considering installed version OK:0.7.5
Package not installed: httr
No version requested for gtools considering installed version OK:3.5.0
No version requested for IRkernel considering installed version OK:0.8.9
Error: at least one package failed to install required version
In addition: Warning messages:
1: In install.packages(toInstall, "/home/dataiku/dss_data/code-envs/R/env_R/R.lib",  :
  installation of package ‘curl’ had non-zero exit status
2: In install.packages(toInstall, "/home/dataiku/dss_data/code-envs/R/env_R/R.lib",  :
  installation of package ‘httr’ had non-zero exit status
Execution halted
What version of R is installed on your system? Are you using Anaconda?
my R version is -> R version 3.4.4.

I am not using anaconda for R

1 Answer

0 votes
Can you replay the R integration script and then try again to create the code env?
answered by
What do you mean by "Replay the R integration script" ? Can you explain in details
992 questions
1,025 answers
1,077 comments
3,154 users

©Dataiku 2012-2018 - Privacy Policy